Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-12077

authSchemaUpgradeStep error message when running on 2.5.4 mongos with 2.4 config server could be better

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor - P4
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.6.0-rc0
    • Component/s: Security, Sharding
    • Labels:

      Description

      Output now looks like:

      Auth schema upgraded failed with UnknownError cannot update system collection: admin.system.version q:

      { _id: "authSchema" }

      u: { $set:

      { currentVersion: 1 }

      }

      This could be more clear and indicate that there's a config server that you forgot to upgrade.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              spencer Spencer Brody
              Reporter:
              valeri.karpov Valeri Karpov
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: